use 20060431_risk.dta

** Table 4 **
regress vfctnc chinese age gender edu income market south,   
regress vfctnc chinese age gender edu  nmlrlincome mnincome market south,  
intreg lambda1 lambda2 chinese age gender edu income market  south, nolog  
intreg lambda1 lambda2 chinese age gender edu  nmlrlincome mnincome market  south, nolog  

** Table 5 **
ivreg vfctnc chinese age gender edu (income =headnowork rainfall)  market south, first  
ivreg vfctnc chinese age gender edu  (nmlrlincome mnincome = headnowork  rainfall) market  south, first  

use 20060431_time.dta

** Table 6 **
nl (choice=1/(1+exp(-{m}*(reward-y*exp(-{r}*t))))), cluster(id) nolog iterate(100)
nl (choice=1/(1+exp(-{m}*(reward-y/(1+{r}*t))))), cluster(id) nolog iterate(100)
nl (choice=1/(1+exp(-{m}*(reward-{alpha}*y*exp(-{r}*t))))), cluster(id) nolog iterate(100) level(99)
nl (choice=1/(1+exp(-{m}*(reward-{alpha=1}*y*(1-(1-{theta=3})*{r}*t)^(1/(1-{theta=3})))))), cluster(id) nolog iterate(100) level(99)

** Table 7 **
nl (choice=1/(1+exp(-{m}*(reward-({alpha=1}+{chinesed}*chinese+{moneykeepd}*moneykeeper+{marketd}*market+{southd}*south+{incomed}*income+{aged}*age+{edud}*edu+{genderd}*gender+{pay_g2d}*payment_g2)*y*exp(-({rate=.1}+0.01*({chinesed2}*chinese+{moneykeepd2}*moneykeeper+{marketd2}*market+{southd2}*south+{incomed2}*income+{aged2}*age+{edud2}*edu+{genderd2}*gender +{pay_d2}*payment_g2))*t))))), cluster(id) nolog iterate(100)
nl (choice=1/(1+exp(-{m}*(reward-({alpha=1}+{chinesed}*chines+{moneykeepd}*moneykeeper+{marketd}*market+{southd}*south+{meand}*mnincome+{relatived}*nmlrlincome+{aged}*age+{edud}*edu+{genderd}*gender+{pay_g2d}*payment_g2)*y*exp(-({rate=.1}+0.01*({chinesed2}*chinese+{moneykeepd2}*moneykeeper+{marketd2}*market+{southd2}*south+{meand2}*mnincome+{relatived2}*nmlrlincome+{aged2}*age+{edud2}*edu+{genderd2}*gender +{pay_d2}*payment_g2))*t))))), cluster(id) nolog iterate(100)

** Table 8 **
regress income chinese age gender edu headnowork rainfall market south moneykeeper payment_g2
predict double y1hat
nl (choice=1/(1+exp(-{m}*(reward-({alpha=1}+{y1hatd}*y1hat+{chinesed}*chinese+{moneykeepd}*moneykeeper+{marketd}*market+{southd}*south+{aged}*age+{edud}*edu+{genderd}*gender+{pay_g2d}*payment_g2)*y*exp(-({rate=.1}+0.01*({y1hatd2}*y1hat+{chinesed2}*chinese+{moneykeepd2}*moneykeeper+{marketd2}*market+{southd2}*south+{aged2}*age+{edud2}*edu+{genderd2}*gender+{pay_d2}*payment_g2))*t))))), cluster(id) nolog iterate(100)
regress nmlrlincome chinese age gender edu headnowork rainfall market south moneykeeper payment_g2
predict double y2hat 
regress mnincome chinese age gender edu  headnowork rainfall market south moneykeeper payment_g2
predict double y3hat
nl (choice=1/(1+exp(-{m}*(reward-({alpha=1}+{y2hatd}*y2hat+{y3hatd}*y3hat+{chinesed}*chinese+{moneykeepd}*moneykeeper+{marketd}*market+{southd}*south+{aged}*age+{edud}*edu+{genderd}*gender+{pay_g2d}*payment_g2)*y*exp(-({rate=.1}+0.01*({y2hatd2}*y2hat+{y3hatd2}*y3hat+{chinesed2}*chinese+{moneykeepd2}*moneykeeper+{marketd2}*market+{southd2}*south+{aged2}*age+{edud2}*edu+{genderd2}*gender+{pay_d2}*payment_g2))*t))))), cluster(id) nolog iterate(100)

** Table A.3 **
drop if moneykeeper==1
nl (choice=1/(1+exp(-{m}*(reward-({alpha=1}+{chinesed}*chinese+{marketd}*market+{southd}*south+{incomed}*income+{aged}*age+{edud}*edu+{genderd}*gender+{pay_g2d}*payment_g2)*y*exp(-({rate=.1}+0.01*({chinesed2}*chinese+{marketd2}*market+{southd2}*south+{incomed2}*income+{aged2}*age+{edud2}*edu+{genderd2}*gender +{pay_d2}*payment_g2))*t))))), cluster(id) nolog iterate(100)
nl (choice=1/(1+exp(-{m}*(reward-({alpha=1}+{chinesed}*chinese+{marketd}*market+{southd}*south+{meand}*mnincome+{relatived}*nmlrlincome+{aged}*age+{edud}*edu+{genderd}*gender+{pay_g2d}*payment_g2)*y*exp(-({rate=.1}+0.01*({chinesed2}*chinese+{marketd2}*market+{southd2}*south+{meand2}*mnincome+{relatived2}*nmlrlincome+{aged2}*age+{edud2}*edu+{genderd2}*gender +{pay_d2}*payment_g2))*t))))), cluster(id) nolog iterate(100)

